abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 12:00 | Nová verze

Po cca 3 týdnech od vydání Linux Mintu 18.3 s kódovým jménem Sylvia a prostředími MATE a Cinnamon byla oznámena také vydání s prostředími KDE a Xfce. Podrobnosti v poznámkách k vydání (KDE, Xfce) a v přehledech novinek s náhledy (KDE, Xfce). Linux Mint 18.3 je podporován do roku 2021.

Ladislav Hagara | Komentářů: 6
15.12. 12:55 | Nová verze

Byla vydána verze 17.12.0 KDE Aplikací (KDE Applications). Přehled novinek v kompletním seznamu změn a na stránce s dalšími informacemi. Aplikace, které nebyly dosud portovány na KDE Frameworks 5, byly z KDE Aplikací odstraněny.

Ladislav Hagara | Komentářů: 47
15.12. 03:00 | Komunita

Na Humble Bundle lze získat počítačovou hru Company of Heroes 2 (Wikipedie, YouTube) běžící také v Linuxu zdarma. Speciální akce končí v sobotu v 19:00.

Ladislav Hagara | Komentářů: 0
15.12. 02:00 | Zajímavý software

Christian Kellner představil na svém blogu projekt Bolt řešící bezpečnost rozhraní Thunderbolt 3 na Linuxu. Pomocí příkazu boltctl nebo rozšíření GNOME Shellu lze komunikovat s démonem boltd a například zakázat neznámá zařízení a předejít tak útokům typu Thunderstrike nebo DMA.

Ladislav Hagara | Komentářů: 8
15.12. 01:00 | Nová verze

Po půl roce vývoje od vydání verze 11.0 byla vydána verze 11.1 svobodného softwaru pro vytváření datových úložišť na síti FreeNAS (Wikipedie). Nejnovější FreeNAS je postaven na FreeBSD 11.1. Přehled novinek v příspěvku na blogu. Zdůraznit lze zvýšení výkonu OpenZFS, počáteční podporu Dockeru nebo synchronizaci s cloudovými službami Amazon S3 (Simple Storage Services), Backblaze B2 Cloud, Google Cloud a Microsoft Azure

Ladislav Hagara | Komentářů: 0
14.12. 23:55 | Nová verze

Po dvou měsících vývoje od vydání verze 235 oznámil Lennart Poettering vydání verze 236 správce systému a služeb systemd (GitHub, NEWS).

Ladislav Hagara | Komentářů: 10
14.12. 20:00 | Nová verze Ladislav Hagara | Komentářů: 0
14.12. 19:33 | Pozvánky

Pražská Fedora 27 Release Party, oslava nedávného vydání Fedory 27, se uskuteční 19. prosince od 19:00 v prostorách společnosti Etnetera (Jankovcova 1037/49). Na programu budou přednášky o novinkách, diskuse, neřízený networking atd.

Ladislav Hagara | Komentářů: 0
14.12. 18:11 | Nová verze

Byla vydána verze 2.11.0 QEMU (Wikipedie). Přispělo 165 vývojářů. Provedeno bylo více než 2 000 commitů. Přehled úprav a nových vlastností v seznamu změn.

Ladislav Hagara | Komentářů: 0
14.12. 17:44 | Komunita

Canonical oznámil dostupnost kryptografických balíčků s certifikací FIPS 140-2 úrovně 1 pro Ubuntu 16.04 LTS pro předplatitele podpory Ubuntu Advantage Advanced. Certifikace FIPS (Federal Information Processing Standards) jsou vyžadovány (nejenom) vládními institucemi USA.

Ladislav Hagara | Komentářů: 3
Jak se vás potenciálně dotkne trend odstraňování analogového audio konektoru typu 3,5mm jack z „chytrých telefonů“?
 (8%)
 (0%)
 (1%)
 (1%)
 (76%)
 (14%)
Celkem 1003 hlasů
 Komentářů: 45, poslední 1.12. 19:00
    Rozcestník

    Dotaz: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    15.11.2009 18:27 Begleiter | skóre: 47 | blog: muj_blog | Doma
    64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04
    Přečteno: 4560×

    Dobrý večer,

    mám 64bitovou (AMD64) verzi Ubuntu 9.04 a snažím se nainstalovat 64bitovou verzi Adobe Flash Player 10 do svého domovského adresáře. Postupoval jsem následovně, ale nefungovalo to:

    1. Stáhnul jsem do adresáře ~/tmp/Flash64bit soubor libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
    2. Ukončil jsem Firefox. Nastavil jsem se do adresáře ~/tmp/Flash64bit. Rozbalil jsem libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz. V adresáři ~/tmp/Flash64bit se nově "objevil" soubor libflashplayer.so, který jsem nakopíroval do adresáře ~/.mozilla/plugins (ten jsem musel nejdřív vytvořit).
    3. Spustil jsem Firefox a těšil se, že bude Flash fungovat. Ale nefunguje.

    Výše jsem psal, že Flash 10 (64bit) nefungoval. Zde popíšu, jak se to projevuje. Prostě ať vyťukám nějakou stránku s Flashem (nevím, jestli to dělá úplně u všech), tak v místě, kde by měl být Flash, se "nozobrazí nic".

    Poznámka: Pokoušel jsem se odinstalovat balíček swfdec-mozilla, ale aptitude mi chtělo spolu s ním odstranit (odinstalovat) celé Gnome! Tak jsem se na to vyprd.

    Verze aplikací: Firefox 3.0.15, Adobe Flash Player 10.0.32.18. Obojí 64bit (AMD64, resp. x86_64).

    Budu vděčný za jakoukoli radu.


    Řešení dotazu:


    Odpovědi

    15.11.2009 18:43 Tom K | skóre: 20
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04
    Netusim, jak na ubuntu, ale jinde je to /usr/lib64/browser-plugins
    echo -n "u48" | sha1sum | head -c3; echo
    15.11.2009 18:50 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    Našel jsem adresář /usr/lib64/mozilla-firefox/plugins . Tak tam zkusím libflashplayer.so nakopírovat.

    15.11.2009 18:54 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    Jako root jsem tam ten soubor nakopíroval, ale pořád to nefunguje. :-(

    15.11.2009 20:58 DvD_500
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    Zdravim, zrovna včera jsem řešil stejný problém a bez problémů. Jediným rozdílem bylo, že nepoužívám FF 3.0.15, ale Shiretoko 3.5.6pre(FF for Ubuntu).

    Zkuste spustit v konzoli skript z následujícího odkazu: http://www.myscienceisbetter.info/install-native-64bit-flash-player-10-on-linux.html

    15.11.2009 21:03 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    Děkuju. Určitě vyzkouším. A pak dám vědět, jak jsem dopadnul.

    15.11.2009 21:29 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    Zadíval jsem se do toho skriptu a zjistil nemilou věc:

    rotor@darkstar:~$ sudo apt-get --simulate --assume-yes --purge remove flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash swfdec-mozilla libflashsupport nspluginwrapper
    Čtu seznamy balíků... Hotovo
    Vytvářím strom závislostí       
    Čtu stavové informace... Hotovo
    Balík flashplugin-nonfree není nainstalován, nelze tedy odstranit
    Balík gnash není nainstalován, nelze tedy odstranit
    Balík gnash-common není nainstalován, nelze tedy odstranit
    Balík mozilla-plugin-gnash není nainstalován, nelze tedy odstranit
    Balík libflashsupport není nainstalován, nelze tedy odstranit
    Balík nspluginwrapper není nainstalován, nelze tedy odstranit
    Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
      sg3-utils sane-utils libtelepathy2 libgnomekbdui3 xscreensaver-gl menu-xdg gnome-network-admin python-beagle libjinglep2p0.3-0 libgweather1 menu libpcsclite1 gnome-media-common gnome-power-manager libwpd8c2a planner dnsmasq-base
      tomboy espeak ekiga python-notify libmono-security2.0-cil update-notifier-common libgnomeprintui2.2-common python-cupshelpers libndesk-dbus1.0-cil libmtp8 gedit-common libmono-addins-gui0.2-cil libgoffice-0-6-common gcalctool gthumb
      libopal3.6.1 xserver-xorg-video-all python-debian gnome-accessibility xserver-xorg-video-apm gnome-backgrounds libaiksaurus-1.2-data xserver-xorg-video-ark libunique-1.0-0 libbrlapi0.5 xserver-xorg-video-ati unattended-upgrades
      gnome-media metacity telepathy-gabble libgnome2-vfs-perl nautilus libmono-system2.0-cil abiword-help libgconf2.24-cil python-numpy update-notifier libmono0 libnautilus-burn4 libgtkhtml-editor0 libsensors3 xsane
      gstreamer0.10-plugins-bad libgtk-vnc-1.0-0 pkg-config libbrasero-media0 python-4suite-xml libxklavier12 gstreamer0.10-plugins-farsight libxxf86dga1 libnet-dbus-perl libgucharmap7 gtk2-engines system-config-printer-gnome gnome-applets
      libsnmp15 libkpathsea4 xserver-xorg-video-openchrome gnome-volume-manager network-manager-gnome libevdocument1 latex-xft-fonts gstreamer0.10-plugins-ugly screen-resolution-extra libswfdec-0.8-0 gucharmap libpt2.6.1-plugins-alsa
      zenity libmbca0 libdiscid0 totem-plugins gnome-games link-grammar-dictionaries-en gnome-panel-data x11-utils evolution-plugins cheese gdebi libpangomm-1.4-1 libgoffice-0-6 python-launchpad-bugs libtie-ixhash-perl
      xserver-xorg-video-s3virge libots0 gnome-app-install xserver-xorg-video-v4l evolution libspectre1 python-openssl x11-xkb-utils libcairo-perl xserver-xorg-video-mga libgpod-common gstreamer0.10-alsa cupsddk hardinfo libgtk2-perl
      libgnome-window-settings1 python-reportlab xserver-xorg-video-chips libgnomepanel2.24-cil libecal1.2-7 libbeagle1 libmono-corlib2.0-cil libsane libgtkmm-2.4-1c2a gnome-settings-daemon unzip gthumb-data gparted python-pyatspi
      gnome-desktop-environment xserver-xorg-core cli-common libglew1.5 ggzcore-bin xserver-xorg-video-mach64 libgmime-2.0-2a gnome-mag rhythmbox telepathy-haze alacarte gedit libnm-util1 bogofilter-bdb libtelepathy-farsight0
      python-imaging gnome-menus libmono-cairo2.0-cil xserver-common python-gnome2-extras libgl1-mesa-dri gnome-system-monitor libevview1 libgnomeprintui2.2-0 gnome-session hpijs libndesk-dbus-glib1.0-cil xserver-xorg-video-trident
      libgstfarsight0.10-0 python-software-properties abiword gnome-themes-extras mobile-broadband-provider-info xserver-xorg-video-sis evolution-exchange libmissioncontrol-client0 abiword-common libapm1 transmission-gtk libpisock9 hplip
      libempathy-common libgdata-google1.2-1 guile-1.8-libs seahorse libggzmod4 libedata-cal1.2-6 empathy libmetacity0 xscreensaver-data libjinglexmllite0.3-0 indicator-applet libfftw3-3 python-uniconvertor libgdict-1.0-6 whois
      python-gtksourceview2 xserver-xorg-video-siliconmotion libsgutils1 gdebi-core python-lxml ubuntu-system-service gvfs-bin gnome-pilot vinagre xsane-common evolution-common libempathy-gtk19 libmono-posix2.0-cil apport imagemagick-doc
      mono-runtime liblpint-bonobo0 hal-cups-utils telepathy-salut libtrackerclient0 liblapack3gf xserver-xorg-video-savage libgpod4 libmono-addins0.2-cil libgnome2.24-cil libgweather-common evolution-webcal mono-common python-renderpm
      xserver-xorg-video-tdfx gnome-cards-data libgtkhtml-editor-common metacity-common gnome-nettool transmission-common dasher libsnmp-base update-manager libindicate1 python-gmenu libportaudio2 gnome-games-extra-data p7zip gnome-utils
      xserver-xorg-video-intel gconf-editor gnome-accessibility-themes libdmx1 abiword-plugin-grammar libempathy-gtk-common python-msn libcryptui0 xserver-xorg-input-all libcairomm-1.0-1 libgnomeprint2.2-0 finger libgnome-mag2
      liblink-grammar4 libgdl-1-common libgail-gnome-module gdm-themes gnome-orca arj python-glade2 gstreamer0.10-ffmpeg telepathy-butterfly python-brlapi gnome-about network-manager libgnome-desktop-2-11 xserver-xorg-video-vmware
      libexempi3 gnome-system-tools bogofilter-common xserver-xorg-video-r128 libt1-5 gdb libedataserverui1.2-8 eog gdm xfonts-base libgtksourceview1.0-0 python-xapian apt-xapian-index xserver-xorg-input-evdev binfmt-support libwv-1.2-3
      gnome-vfs-obexftp deskbar-applet python-launchpad-integration libavahi-ui0 libgnome-vfs2.24-cil libpanel-applet2-0 dasher-data libedata-book1.2-2 xserver-xorg-video-vesa gnome-themes-selected gok python-usb libgdome2-0 python-sexy
      python-xdg gnome-spell xserver-xorg-input-kbd libgtkhtml3.14-19 libtelepathy-glib0 espeak-data python-problem-report mono-gac libnm-glib0 python-vte libggz2 indicator-messages alsa-utils libgnomecups1.0-1 libjinglebase0.3-0
      libaiksaurusgtk-1.2-0c2a gnome-applets-data python-smbc libegroupwise1.2-13 libglade2.0-cil at-spi seahorse-plugins libgtop2-common freepats software-properties-gtk tsclient rdesktop libieee1284-3 python-telepathy libiptcdata0
      libgnome2-canvas-perl wodim libexchange-storage1.2-3 sound-juicer libgsf-gnome-1-114 vino mousetweaks libgnomeprint2.2-data libdrm-intel1 libneon27-gnutls xserver-xorg-video-s3 ubuntu-gdm-themes xserver-xorg libglib2.0-cil
      mono-2.0-gac mono-jit libwmf-bin libgtkmathview0c2a evince bogofilter cupsddk-drivers xserver-xorg-video-nv libgnomekbd3 desktop-base libempathy23 libgda3-common xserver-xorg-video-voodoo xserver-xorg-video-fbdev
      xserver-xorg-input-wacom abiword-plugin-mathview libglib-perl xdg-utils libwildmidi0 libespeak1 libgnome-media0 gstreamer0.10-gnomevfs libmono-sharpzip2.84-cil nautilus-data wpasupplicant libmissioncontrol-server1 libblas3gf
      libtotem-plparser12 xserver-xorg-video-neomagic libpt2.6.1-plugins-v4l2 libiw29 gnome-pilot-conduits libdc1394-22 python-gtkhtml2 libcdaudio1 xserver-xorg-input-mouse libgtop2-7 libgnomevfs2-bin gnumeric-common libgnome-speech7
      libpt2.6.1 libudev0 liferea synaptic gksu gtk2-engines-pixbuf libsidplay1 gnome-screensaver gnome-desktop-data zip python-cups gnome-core alsa-base libcamel1.2-14 libgda3-bin python-gst0.10 libsoundtouch1c2 app-install-data
      liboobs-1-4 libgksu2-0 gnumeric libgnome2-perl libgda3-3 libatspi1.0-0 libxml-xpath-perl libgfortran3 rss-glx evolution-data-server-common gnome-games-data gnome-control-center mono-2.0-runtime libmusicbrainz3-6 python-apport
      libgtksourceview2.0-0 gstreamer0.10-tools totem-gstreamer evolution-data-server libggzcore9 imagemagick libgmyth0 xserver-xorg-video-sisusb libmusicbrainz4c2a brasero liblrdf0 libwpg-0.1-1 libaiksaurus-1.2-0c2a libart2.24-cil
      python-gdata gnome-panel capplets-data libgnome-menu2 gnome-office xserver-xorg-video-tseng system-config-printer-common xserver-xorg-video-radeon telepathy-mission-control libebackend1.2-0 libgsl0ldbl python-4suite-doc python-xkit
      fast-user-switch-applet system-tools-backends libnice0 libgtk2.0-cil libgtksourceview-common totem gstreamer0.10-nice xserver-xorg-video-cirrus python-pkg-resources libgmime2.2a-cil libloudmouth1-0 totem-mozilla perlmagick
      evolution-documentation-en gnome-themes apport-gtk inkscape python-rdflib libmono-i18n2.0-cil libgdata1.2-1 libgnome-pilot2 totem-common python-crypto xserver-xorg-input-synaptics libxml-twig-perl linux-sound-base swfdec-gnome
      libgdl-1-0 xserver-xorg-video-rendition libjinglexmpp0.3-0 libofa0 libsoup2.2-8 gnumeric-doc libedataserver1.2-11 libxkbfile1 file-roller serpentine xserver-xorg-video-i128 python-gnome2-desktop libmms0 gnome-netstatus-applet
      libpisync1 hplip-data python-reportlab-accel libgnomekbd-common libgtkhtml2-0 libebook1.2-9 libgtksourceview2.0-common libgdome2-cpp-smart0c2a
    Pro jejich odstranění použijte „apt-get autoremove“.
    Následující balíky budou ODSTRANĚNY:
      gnome* swfdec-mozilla*
    0 aktualizováno, 0 nově instalováno, 2 k odstranění a 0 neaktualizováno.
    Purg gnome [1:2.22.2~4ubuntu6]
    Purg swfdec-mozilla [0.8.2-1ubuntu1]
    

    Jestli to dobře chápu, tak by mi ten skript odinstaloval mj. i Gnome!

    15.11.2009 22:16 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: 64bitový Flash player 10 "nespolupracuje" s Firefoxem v Ubuntu 9.04

    Tento skript vyřešil můj problém:

    #!/bin/bash
    # Script  created by
    # Romeo-Adrian Cioaba romeo.cioaba@spotonearth.com
    # Modified by Vaclav Radomersky vradomersky@seznam.cz
    
    echo "Stopping any Firefox that might be running"
    sudo killall -9 firefox
    
    echo "Removing any other flash plugin previously installed:"
    sudo apt-get remove -y --purge flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash libflashsupport nspluginwrapper
    sudo rm -f /usr/lib/mozilla/plugins/*flash*
    rm -f ~/.mozilla/plugins/*flash*
    sudo rm -f /usr/lib/firefox/plugins/*flash*
    sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
    sudo rm -rfd /usr/lib/nspluginwrapper
    
    echo "Installing Flash Player 10"
    cd ~
    wget http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
    tar -xzf libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
    sudo cp libflashplayer.so /usr/lib/mozilla/plugins/ 
    
    echo "Linking the libraries so Firefox and apps depending on XULRunner (vuze, liferea, rsswol) can find it."
    sudo ln -sf /usr/lib/mozilla/plugins/libflashplayer.so /usr/lib/firefox-addons/plugins/
    sudo ln -sf /usr/lib/mozilla/plugins/libflashplayer.so  /usr/lib/xulrunner-addons/plugins/
    
    # now doing some cleaning up:
    rm -rf libflashplayer.so
    rm -rf libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz
    

    Pozornost si zaslouží to, že jsem z původního skriptu hlavně odstranil odinstalování swfdec-mozilla, neboť by to odstranilo i celé Gnome, což nechci.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.